## ocaml-dyntype 0.9.0

=== Makefile ===
NAME      = dyntype

INCLS = $(shell ocamlfind query type_conv -predicates syntax,preprocessor -r -format "-I %d %a")

BASE_FILES = _build/pa_lib/pa_dyntype _build/lib/dyntype
FILES =  $(addsuffix .cmi,$(BASE_FILES)) $(addsuffix .cma,$(BASE_FILES)) $(addsuffix .cmxa,$(BASE_FILES)) $(addsuffix .a,$(BASE_FILES))

all:
	ocamlbuild $(NAME).cmxa $(NAME).cma
	ocamlbuild pa_$(NAME).cma pa_$(NAME).cmxs


install:
	ocamlfind remove $(NAME) || true
	ocamlfind install $(NAME) META -optional $(FILES)

uninstall:
	ocamlfind remove $(NAME)

clean:
	ocamlbuild -clean
	rm -rf suite.byte

.PHONY: test
test:
	ocamlbuild -pp "camlp4o $(INCLS) lib/$(NAME).cma pa_lib/pa_$(NAME).cma" suite.byte --

.PHONY: test_exp
test_exp:
	camlp4o $(INCLS) _build/lib/$(NAME).cma _build/pa_lib/pa_$(NAME).cma lib_test/simple_value.ml -printer o > _build/simple_value_test.ml
	camlp4o $(INCLS) _build/lib/$(NAME).cma _build/pa_lib/pa_$(NAME).cma lib_test/test_type.ml -printer o > _build/test_type_exp.ml
	camlp4o $(INCLS) _build/lib/$(NAME).cma _build/pa_lib/pa_$(NAME).cma lib_test/test_value.ml -printer o > _build/test_value_exp.ml

=== debian/changelog ===
ocaml-dyntype (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Thu, 16 Oct 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-dyntype
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 libtype-conv-camlp4-dev,
 ocaml-native-compilers,
 camlp4-extra

Package: ocaml-dyntype
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax extension which makes OCaml types and values easier to manipulate programmatically
 syntax extension which makes OCaml types and values easier to
 manipulate programmatically

Package: ocaml-dyntype-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-dyntype (>= 0.9.0-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-dyntype
 The ocaml-dyntype-devel package contains libraries and signature
 files for developing applications that use ocaml-dyntype.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-dyntype/usr/lib/ocaml/dyntype/*.a
	rm -f debian/ocaml-dyntype/usr/lib/ocaml/dyntype/*.cmxa

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
